Subject: Re: [Gen-art] Genart last call review of draft-ietf-manet-rfc5444-usage-06

From: Alissa Cooper <[email-masked]>
Date: Wed, 5 Jul 2017 09:04:12 -0400

Peter, thanks for your review. Christopher, thanks for addressing Peter’s comments. I have entered a No Objection ballot position.

Alissa

> On Jun 30, 2017, at 12:01 PM, Peter Yee <[email-masked]> wrote:
> 
> Christopher,
> 
> 	Thanks for clarifying what the implementation paragraph is supposed to convey.  It wasn't clear to me that this applied only within the router or that it would be over-the-wire identical.
> 
> 	As for the commas, there were a lot of them.  I didn't even start trying to clean them up until part way through the review.  As you note, some of them are tricky.  That was part of the problem I had in reading the draft - dense sentences that strung together lengthy clauses requiring the reader to refer to earlier bits in the sentence in order to make sure the meaning was understood.  To be clear, I'm not saying anything stated in the draft appeared to be incorrect.  It just made for more difficult reading and parsing.
> 
> 	I appreciate the quick response and look forward to reading the revised document.
> 
> 		-Peter
> 
> -----Original Message-----
> From: Dearlove, Christopher (UK) [mailto:[email-masked]] 
> Sent: Friday, June 30, 2017 2:07 AM
> To: Peter Yee; [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: RE: Genart last call review of draft-ietf-manet-rfc5444-usage-06
> 
> Peter
> 
> Thanks you for your comments. I should note that the following comments are mine, not yet consulted with my co-authors.
> 
> I'm going to mostly disagree with your disagreement about the indicated point being an implementation issue. What matters is consistency at a router. Between routers doesn't matter. If router A adds the TLV in the multiplexer or the protocol, the on-air message is identical. And it doesn't matter if router B receiving a packet makes the opposite decision, as long as router B's multiplexer and protocol are consistent. I believe one reason for this comment is that different implementers have made different decisions. Because there is consistency needed on a router is why it says it is "in part".
> 
> However, I would agree, re-reading it again, that as worded, it doesn't come over as clearly as it should, so we will look at re-wording it.
> 
> I don't agree with all of your comments about commas. Just to take the first, simply removing the comma is not correct because "but did not quite succeed in" is a parenthesis. However, fails to be correct because attempted and succeed take different prepositions. But then "attempted to providing" is of course incorrect. So that sentence needs work, but not simply removal of a comma. I will take a look at each case (which I haven't yet done), but ultimately of course the RFC Editor will act as the arbiter of such matters.
> 
> Christopher
> 
> --
> Christopher Dearlove
> Senior Principal Engineer
> BAE Systems Applied Intelligence Laboratories __________________________________________________________________________
> 
> T:  +44 3300 467500  |  E: [email-masked]
> 
> BAE Systems Applied Intelligence, Chelmsford Technology Park, Great Baddow, Chelmsford, Essex CM2 8HN.
> www.baesystems.com/ai
> BAE Systems Applied Intelligence Limited Registered in England & Wales No: 01337451 Registered Office: Surrey Research Park, Guildford, Surrey, GU2 7YP
> 
> -----Original Message-----
> From: Peter Yee [mailto:[email-masked]]
> Sent: 30 June 2017 07:47
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Genart last call review of draft-ietf-manet-rfc5444-usage-06
> 
> ----------------------! WARNING ! ---------------------- This message originates from outside our organisation, either from an external partner or from the internet.
> Consider carefully whether you should click on any links, open any attachments or reply.
> Follow the 'Report Suspicious Emails' link on IT matters for instructions on reporting suspicious email messages.
> --------------------------------------------------------
> 
> Reviewer: Peter Yee
> Review result: Ready with Issues
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area Review Team (Gen-ART) reviews all IETF documents being processed by the IESG for the IETF Chair.  Please treat these comments just like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-ietf-manet-rfc5444-usage-06
> Reviewer: Peter Yee
> Review Date: 2017-06-29
> IETF LC End Date: 2017-06-29
> IESG Telechat date: 2017-07-06
> 
> Summary: Ready with issues.
> 
> Major issues:
> 
> Minor issues:
> 
> Page 12, 2nd bullet item: I disagree that this is an implementation detail. 
> Unless there's additional signaling which indicates which implementation generated the packet, how is the receiving demultiplexer to know whether the sending multiplexer added a Message TLV or that was done by the protocol?
> 
> Nits/editorial comments:
> 
> General:
> 
> Somebody  needs to strangle the comma fairy.  She was a bit too liberal with this document. ;-)  I didn't take the time to clean up all of the excess commas, but many are noted below.
> 
> Change "end to end" to "end-to-end" throughout the document.
> 
> Specific:
> 
> Page 3, Section 1, 2nd paragraph, 1st sentence: delete the comma after "in".
> 
> Page 3, Section 1, 3rd paragraph: delete the comma after "[RFC5444]".
> 
> Page 4, 1st full bullet item, 2nd sentence: delete the commas after "process"
> and "usage".  Change "is" to "are".
> 
> Page 5, 1st bullet item, 3rd sentence: delete "of" after "design".
> 
> Page 5, last bullet item: append a comma after "count".
> 
> Page 6, last paragraph, 2nd sentence: insert "may" before "pass".  Change the comma after "rules" to a semicolon.
> 
> Page 7, Section 1.3: change "makes" to "make" in both place.  Change "impedes"
> to "impede".
> 
> Page 7, Section 2, 2nd paragraph: append a comma after \"TLV\".
> 
> Page 9, Section 4.3, 2nd paragraph, 2nd sentence: append a comma after "Originator Address".
> 
> Page 10, Section 4.4.1, 1st bullet item, 1st sentence: elide the comma after "protocol".
> 
> Page 11, 1st bullet item, 2nd sentence: change "of" to "or".
> 
> Page 11, 3rd bullet item, 3rd sentence: remove the comma after "[RFC5444]".
> 
> Page 12, 3rd bullet item: change the comma to a semicolon.
> 
> Page 13, Section 4.5 title: append a comma after "Addresses".
> 
> Page 13, Section 4.5, 3rd bullet item: change "an" to "a".
> 
> Page 14, 4th bullet item: delete the comma after "Message".
> 
> Page 14, last paragraph: add a comma after "absence" and delete one following "location".
> 
> Page 15, 1st full paragraph: insert "it" before "could".
> 
> Page 15, 2nd paragraph, 2nd sentence: change "routers" to "router's" or "routers'".
> 
> Page 15, 4th paragraph, 2nd sentence: change the comma after TLV to a semicolon.
> 
> Page 15, 5th paragraph: delete the commas after "Type" and "Value".
> 
> Page 17, 1st partial paragraph, 1st full sentence: change "MPR_WILLNG" to "MPR_WILLING".
> 
> Page 17, 1st full bullet item, 1st sentence: Strike the comma after "[RFC7182]".
> 
> Page 17, Section 5, 1st paragraph: delete the comma.
> 
> Page 17, Section 5, 1st paragraph after the bullet items: change the comma after "structural" to a period.  Capitalize the follow "they".  Insert "are"
> before "field lengths" if that makes sense.
> 
> Page 17, last paragraph: append a comma after "Block".
> 
> Page 18, 2nd bullet item: add a comma after "Block".  Delete the comma after "TLV".
> 
> Page 18, 2nd paragraph, 1st sentence: elide the comma after "[RFC5444]".
> 
> Page 18, 2nd paragraph, 2nd sentence: delete the comma after "accepted".
> 
> Page 18, 2nd paragraph, 3rd sentence: remove the comma after "mechanism".
> 
> Page 18, 2nd paragraph, 5th sentence: change "4 bit" to "4-bit".
> 
> Page 18, Section 6, 1st sentence: delete the commas following "different", "same", "specification", and "information".
> 
> Page 18, Section 6, 2nd sentence: change the comma following "[RFC5444]" to a period.  Capitalize the following "any".
> 
> Page 19, 2nd to last paragraph, 1st sentence: change the comma after "only" to a semicolon.
> 
> Page 19, 2nd to last paragraph, 2nd sentence: change the comma after "6.2)" to a semicolon.
> 
> Page 19, last paragraph, 1st sentence: strike the comma after the 4th occurrence of "addresses".
> 
> Page 19, last paragraph, 2nd sentence: append a comma after "example".
> 
> Page 20, Section 6.2, 1st paragraph: delete the comma.
> 
> Page 20, 1st bullet item: remove the comma after "straightforward".
> 
> Page 20, 2nd bullet item: change the second comma to a period.  Capitalize the following "see".
> 
> Page 21, 2nd paragraph, 2nd sentence: elide the comma after "advice".
> 
> Page 21, 2nd paragraph, last sentence: I can't parse this sentence.  Consider rewriting for clarity.  There seems to be a missing clause.
> 
> Page 22, bullet item: delete the comma after "allowed".
> 
> Page 24, Appendix A, 1st paragraph, 2nd sentence: delete all of the commas.
> 
> Page 24, Appendix A, 1st paragraph after the bullet items, 2nd sentence: delete both commas.
> 
> Page 25, Appendix B, 1st sentence: append a comma after "valuedness".
> 
> Page 25, Appendix B, 2nd sentence: remove the comma following "creation".
> 
> Page 25, Appendix B, 3rd sentence: change the comma after "independent" to a period.  Capitalize the following "for".
> 
> ********************************************************************
> This email and any attachments are confidential to the intended recipient and may also be privileged. If you are not the intended recipient please delete it from your system and notify the sender.
> You should not copy it or use it for any purpose nor disclose or distribute its contents to any other person.
> ********************************************************************
>